## expat 2.2.6

=== debian/changelog ===
expat (2.2.6-2+deb10u7) buster-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Fix test suite.
  * Backporting patch for CVE-2023-52425 - DoS (resource consumption)
    parsing really big tokens due to O(n²) complexity. Closes: #1063238)

 -- Tobias Frost <tobi@debian.org>  Sat, 06 Apr 2024 18:16:16 +0200

expat (2.2.6-2+deb10u6) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * Add patch to fix heap use-after-free after overeager destruction
    of a shared DTD in function XML_ExternalEntityParserCreate in
    out-of-memory situations. (Fixes: CVE-2022-43680) (Closes: #1022743)

 -- Utkarsh Gupta <utkarsh@debian.org>  Fri, 28 Oct 2022 02:57:28 +0530

expat (2.2.6-2+deb10u5) buster-security; urgency=high

  * Non-maintainer upload by the LTS Team.
  * CVE-2022-40674
    heap use-after-free issue in doContent()
    (based on the backport for Bullseye made by Laszlo Boszormenyi)
  * update test-* patches to be able to run testsuite
  * debian/rules: add run of testsuite
                  (but leave it deactivated as I only tested on amd64)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 24 Sep 2022 11:03:02 +0200

expat (2.2.6-2+deb10u4) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * lib: Relax fix to CVE-2022-25236 with regard to RFC 3986 URI characters
  * tests: Cover relaxed fix to CVE-2022-25236
  * lib: Document namespace separator effect right in header <expat.h>
  * lib|doc: Add a note on namespace URI validation

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Mar 2022 22:02:18 +0100

expat (2.2.6-2+deb10u3) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent stack exhaustion in build_model (CVE-2022-25313)
  * Prevent integer overflow in storeRawNames (CVE-2022-25315)
  * Prevent integer overflow in copyString (CVE-2022-25314)
  * lib: Fix (harmless) use of uninitialized memory
  * lib: Protect against malicious namespace declarations (CVE-2022-25236)
    (Closes: #1005895)
  * tests: Cover CVE-2022-25236
  * lib: Drop unused macro UTF8_GET_NAMING
  * lib: Add missing validation of encoding (CVE-2022-25235)
    (Closes: #1005894)
  * tests: Cover missing validation of encoding (CVE-2022-25235)
  * Fix build_model regression.
  * tests: Protect against nested element declaration model regressions

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Feb 2022 17:19:40 +0100

expat (2.2.6-2+deb10u2) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * lib: Detect and prevent troublesome left shifts in function storeAtts
    (CVE-2021-45960) (Closes: #1002994)
  * lib: Prevent integer overflow on m_groupSize in function doProlog
    (CVE-2021-46143)
  * lib: Prevent integer overflow at multiple places (CVE-2022-22822,
    CVE-2022-22823, CVE-2022-22824, CVE-2022-22825, CVE-2022-22826,
    CVE-2022-22827) (Closes: #1003474)
  * lib: Detect and prevent integer overflow in XML_GetBuffer (CVE-2022-23852)
  * lib: Prevent integer overflow in doProlog (CVE-2022-23990)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 Feb 2022 15:18:06 +0100

expat (2.2.6-2+deb10u1) buster-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * xmlparse.c: Deny internal entities closing the doctype (CVE-2019-15903)
    (Closes: #939394)

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 19 Sep 2019 23:13:41 +0200

expat (2.2.6-2) unstable; urgency=high

  * Fix extraction of namespace prefix from XML name (CVE-2018-20843)
    (closes: #931031).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 24 Jun 2019 21:18:31 +0000

expat (2.2.6-1) unstable; urgency=medium

  * New upstream release.
  * Disable Vcs-* fields for now.
  * Update Standards-Version to 4.1.5 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 15 Aug 2018 15:18:15 +0000
