## expat 2.2.6.2

=== debian/changelog ===
expat (2.2.6.2-2+dde) unstable; urgency=medium

  * fix CVE
    CVE-2022-25315 CVE-2022-25314 CVE-2022-25313
    CVE-2022-25236 CVE-2022-25235

 -- lishengyu <lishengyu@uniontech.com>  Tue, 22 Feb 2022 11:40:47 +0800

expat (2.2.6.1-2+dde) unstable; urgency=high

  * update to buster-security 2.2.6-2+deb10u2
  * lib: Detect and prevent troublesome left shifts in function storeAtts
    (CVE-2021-45960) (Closes: #1002994)
  * lib: Prevent integer overflow on m_groupSize in function doProlog
    (CVE-2021-46143)
  * lib: Prevent integer overflow at multiple places (CVE-2022-22822,
    CVE-2022-22823, CVE-2022-22824, CVE-2022-22825, CVE-2022-22826,
    CVE-2022-22827) (Closes: #1003474)
  * lib: Detect and prevent integer overflow in XML_GetBuffer (CVE-2022-23852)
  * lib: Prevent integer overflow in doProlog (CVE-2022-23990)

 -- Salvatore Bonaccorso <carnil@debian.org>  Wed, 09 Feb 2022 15:18:06 +0100
