## expat 2.2.6.3

=== debian/changelog ===
expat (2.2.6.3-2+deepin) unstable; urgency=medium

  * fix CVE-2022-40674.
  * 

 -- yanghaibo <yanghaibo@uniontech.com>  Fri, 28 Oct 2022 09:28:17 +0800
