=== debian/changelog ===
expat (2.2.7-2) unstable; urgency=high

  * Fix CVE-2019-15903: deny internal entities closing the doctype
    (closes: #939394).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 04 Sep 2019 18:01:00 +0000

expat (2.2.7-1) unstable; urgency=medium

  * New upstream release.
  * Update libexpat1 symbols.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 13 Jul 2019 21:46:00 +0000
