=== debian/control ===
--- 
+++ 
@@ -1,14 +1,13 @@
 Source: expat
 Section: text
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.1.2
+Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Standards-Version: 4.4.0
 Build-Depends: debhelper (>= 11), docbook-to-man, docbook2x,
  libbsd-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386]
 Homepage: https://libexpat.github.io/
-Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/expat/trunk/
-Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/expat/trunk/
+#Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/expat/trunk/
+#Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/expat/trunk/
 
 Package: libexpat1-dev
 Section: libdevel
