=== debian/rules ===
--- 
+++ 
@@ -78,9 +78,6 @@
 	$(MAKE) $(NJOBS) -C build/
 	$(MAKE) $(NJOBS) -C buildw/lib all
 #	docbook-to-man doc/xmlwf.sgml > debian/xmlwf.1
-	echo "##### add testsuite ########################"
-	$(MAKE) -C build/ check || ( cat build/tests/test-suite.log ; exit 1 )
-	echo "##### end testsuite ########################"
 	touch $@
 
 install: build
