## expat 2.2.10

=== debian/changelog ===
expat (2.2.10-2+deb11u3) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * lib: Relax fix to CVE-2022-25236 with regard to RFC 3986 URI characters
  * tests: Cover relaxed fix to CVE-2022-25236
  * lib: Document namespace separator effect right in header <expat.h>
  * lib|doc: Add a note on namespace URI validation

 -- Salvatore Bonaccorso <carnil@debian.org>  Thu, 10 Mar 2022 21:38:43 +0100

expat (2.2.10-2+deb11u2) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * Prevent stack exhaustion in build_model (CVE-2022-25313)
  * Prevent integer overflow in storeRawNames (CVE-2022-25315)
  * Prevent integer overflow in copyString (CVE-2022-25314)
  * lib: Fix (harmless) use of uninitialized memory
  * lib: Protect against malicious namespace declarations (CVE-2022-25236)
    (Closes: #1005895)
  * tests: Cover CVE-2022-25236
  * lib: Drop unused macro UTF8_GET_NAMING
  * lib: Add missing validation of encoding (CVE-2022-25235)
    (Closes: #1005894)
  * lib: Add comments to BT_LEAD* cases where encoding has already been
    validated
  * tests: Cover missing validation of encoding (CVE-2022-25235)
  * Fix build_model regression.
  * tests: Protect against nested element declaration model regressions

 -- Salvatore Bonaccorso <carnil@debian.org>  Sun, 20 Feb 2022 17:08:18 +0100

expat (2.2.10-2+deb11u1) bullseye-security; urgency=high

  * Non-maintainer upload by the Security Team.
  * lib: Detect and prevent troublesome left shifts in function storeAtts
    (CVE-2021-45960) (Closes: #1002994)
  * lib: Prevent integer overflow on m_groupSize in function doProlog
    (CVE-2021-46143)
  * lib: Prevent integer overflow at multiple places (CVE-2022-22822,
    CVE-2022-22823, CVE-2022-22824, CVE-2022-22825, CVE-2022-22826,
    CVE-2022-22827) (Closes: #1003474)
  * lib: Detect and prevent integer overflow in XML_GetBuffer (CVE-2022-23852)
  * tests: Cover integer overflow in XML_GetBuffer (CVE-2022-23852)
  * lib: Prevent integer overflow in doProlog (CVE-2022-23990)

 -- Salvatore Bonaccorso <carnil@debian.org>  Mon, 07 Feb 2022 22:26:48 +0100

expat (2.2.10-2) unstable; urgency=medium

  * Provide stage1 (bootstrap) build profile (closes: #896011).

  [ Matthias Klose <doko@ubuntu.com> ]
  * Don't build the udeb package when requested (closes: #983324).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 23 Feb 2021 17:54:13 +0100

expat (2.2.10-1) unstable; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Oct 2020 07:39:41 +0200
