=== debian/watch ===
version=3
http://sf.net/expat/expat-(\d.*)\.(?:tgz|tbz2|txz|tar\.(?:gz|bz2|xz))
