=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: expat
 Section: text
 Priority: optional
-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Build-Depends: debhelper-compat (= 11), docbook-to-man,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
+Build-Depends: debhelper-compat (= 13), docbook-to-man,
  docbook2x <!stage1>, libbsd-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386]
 Rules-Requires-Root: no
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://libexpat.github.io/
 
 Package: libexpat1-dev
@@ -38,7 +39,7 @@
  might find in the XML document (like start tags).
 
 Package: libexpat1-udeb
-XC-Package-Type: udeb
+Package-Type: udeb
 Build-Profiles: <!noudeb>
 Section: debian-installer
 Priority: optional
