=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends: debhelper-compat (= 13), docbook-to-man,
  docbook2x <!stage1>, libbsd-dev [kfreebsd-amd64 kfreebsd-i386 hurd-i386]
 Rules-Requires-Root: no
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Homepage: https://libexpat.github.io/
 
 Package: libexpat1-dev
@@ -28,7 +28,6 @@
 Package: libexpat1
 Section: libs
 Architecture: any
-Conflicts: wink (<= 1.5.1060-4)
 Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
