## expat 2.4.7-1+11.0trisquel0

=== debian/changelog ===
expat (2.4.7-1+11.0trisquel0) aramo; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 01 Nov 2022 15:16:52 +0000
