## expat 2.4.7-1+11.0trisquel5

=== debian/changelog ===
expat (2.4.7-1+11.0trisquel5) aramo-security; urgency=medium

  * Fetch and build as udeb dependency for debian-installer.

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Tue, 08 Apr 2025 23:37:28 +0000
