## expat 2.4.8

=== debian/changelog ===
expat (2.4.8-2ubuntu0.22.10.1) kinetic-security; urgency=medium

  * SECURITY UPDATE: use-after-free
    - debian/patches/CVE-2022-43680-1.patch: adds tests to cover
      DTD destruction in XML_ExternalEntityParserCreate in
      expat/tests/runtests.c.
    - debian/patches/CVE-2022-43680-2.patch: fix overeager DTD
      destruction in XML_ExternalEntityParserCreate in
      expat/lib/xmlparse.c.
    - CVE-2022-43680

 -- David Fernandez Gonzalez <david.fernandezgonzalez@canonical.com>  Fri, 18 Nov 2022 12:22:47 +0100

expat (2.4.8-2) unstable; urgency=high

  * Backport security fix for CVE-2022-40674: heap use-after-free issue in
    doContent() (closes: #1019761).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 15 Sep 2022 20:53:15 +0200

expat (2.4.8-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 29 Mar 2022 22:01:08 +0200
